Bug 232870 - graphics/mupdf: fix build on big-endian architectures
Summary: graphics/mupdf: fix build on big-endian architectures
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Mark Linimon
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2018-10-31 23:09 UTC by Piotr Kubaj
Modified: 2018-11-11 03:49 UTC (History)
2 users (show)

See Also:
uzsolt: maintainer-feedback+


Attachments
patch (2.93 KB, patch)
2018-10-31 23:09 UTC, Piotr Kubaj
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Piotr Kubaj freebsd_committer 2018-10-31 23:09:13 UTC
Created attachment 198831 [details]
patch

Build on big-endian architectures is broken because byte-swapping function causes build errors.

Tested on powerpc64 and amd64.

Hardware sponsored by IntegriCloud.
Comment 1 Zsolt Udvari 2018-11-01 17:50:27 UTC
I can't test your patch because I don't have similar architecture. But I trust you I accept.

Thanks for your work!
Comment 2 commit-hook freebsd_committer 2018-11-11 03:49:24 UTC
A commit references this bug:

Author: linimon
Date: Sun Nov 11 03:49:20 UTC 2018
New revision: 484658
URL: https://svnweb.freebsd.org/changeset/ports/484658

Log:
  Fix build on big-endian architectures due to byte-swapping function.

  PR:		232870
  Submitted by:	Piotr Kubaj
  Approved by:	maintainer

Changes:
  head/graphics/mupdf/Makefile
  head/graphics/mupdf/files/patch-thirdparty_lcms2_src_cmsmd5.c